Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.pdf.TiledWatermarkSettings Class Reference

Inherits SystemIDisposable.

## Public Types
enum | Flags { Flags.e_FlagAsPageContents = 0x0000, Flags.e_FlagAsAnnot = 0x0001, Flags.e_FlagOnTop = 0x0002, Flags.e_FlagNoPrint = 0x0004, Flags.e_FlagInvisible = 0x0008 }
| Enumeration for tiled watermark setting flags. More...

## Public Member Functions
| TiledWatermarkSettings (float row_space, float col_space, float rotation, int opacity, int scale, int flags)
| Constructor, with parameters. More...
| TiledWatermarkSettings ()
| Constructor and set the default value. More...
| TiledWatermarkSettings (TiledWatermarkSettings settings)
| Constructor, with another tiled watermark settings object. More...
void | Set (float row_space, float col_space, float rotation, int opacity, int scale, int flags)
| Set value. More...

## Properties
float | col_space`[get, set]`
| The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
int | flags`[get, set]`
| Watermark flags. More...
int | opacity`[get, set]`
| Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
float | rotation`[get, set]`
| Rotation angle in degrees.
float | row_space`[get, set]`
| The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
int | scale`[get, set]`
| The image or page scale in percents. Valid range: from 1 to 100. 100 means the image or page is displayed at its original size. The default value is. More...

## Detailed Description

This class represents the watermark settings used to construct a tiled watermark from any supported resource.

## Member Enumeration Documentation

## ◆ Flags

enum foxit.pdf.TiledWatermarkSettings.Flags
| strong

Enumeration for tiled watermark setting flags.

Values of this enumeration can be used alone or in combination.

Enumerator
e_FlagAsPageContents | If set, the watermark will be a part of page content when inserted to a PDF page.
e_FlagAsAnnot | If set, the watermark will be an annotation when inserted to a PDF page, and the watermark will be show above other content.
e_FlagOnTop | If set, show watermark above other page content.
e_FlagNoPrint | If set, do not print a watermark.
e_FlagInvisible | If set, do not display a watermark.

## Constructor & Destructor Documentation

## ◆ TiledWatermarkSettings() [1/3]

foxit.pdf.TiledWatermarkSettings.TiledWatermarkSettings | ( | float | row_space,
|  | float | col_space,
|  | float | rotation,
|  | int | opacity,
|  | int | scale,
|  | int | flags
| ) |  |
| inline

Constructor, with parameters.

The parameter scale doesn't support text tiled watermark, and will have no effect after setting.

Parameters

  [in] | row_space | The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | col_space | The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
  [in] | scale | The image or page scale in percents. Valid range: from 0 to 100. 0 means not displayed, 100 means the image or page is displayed at its original scale size.
  [in] | flags | Watermark flags. Please refer to values starting from foxit.pdf.TiledWatermarkSettings.Flags.e_FlagAsPageContents and this can be one or a combination of these values. Default value: foxit.pdf.TiledWatermarkSettings.Flags.e_FlagAsPageContents .

## ◆ TiledWatermarkSettings() [2/3]

foxit.pdf.TiledWatermarkSettings.TiledWatermarkSettings | ( |  | ) |
| inline

Constructor and set the default value.

By default, the watermark is not rotated and opacity is completely opaque, the row spacing and column spacing defaults to 2.0 inches. If it's an image or page watermark, display the original scale size.

## ◆ TiledWatermarkSettings() [3/3]

foxit.pdf.TiledWatermarkSettings.TiledWatermarkSettings | ( | TiledWatermarkSettings | settings | ) |
| inline

Constructor, with another tiled watermark settings object.

Parameters

  [in] | settings | Another tiled watermark settings object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.TiledWatermarkSettings.Set | ( | float | row_space,
|  | float | col_space,
|  | float | rotation,
|  | int | opacity,
|  | int | scale,
|  | int | flags
| ) |  |
| inline

Set value.

The parameter scale doesn't support text tiled watermark, and will have no effect after setting.

Parameters

  [in] | row_space | The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | col_space | The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
  [in] | scale | The image or page scale in percents. Valid range: from 0 to 100. 0 means not displayed, 100 means the image or page is displayed at its original scale size.
  [in] | flags | Watermark flags. Please refer to values starting from foxit.pdf.TiledWatermarkSettings.Flags.e_FlagAsPageContents and this can be one or a combination of these values. Default value: foxit.pdf.TiledWatermarkSettings.Flags.e_FlagAsPageContents .

Returns
  None.

## Property Documentation

## ◆ flags

int foxit.pdf.TiledWatermarkSettings.flags
| get set

Watermark flags.

Please refer to values starting from foxit.pdf.TiledWatermarkSettings.Flags.e_FlagAsPageContents and this can be one or a combination of these values.
Default value: foxit.pdf.TiledWatermarkSettings.Flags.e_FlagAsPageContents .

## ◆ scale

int foxit.pdf.TiledWatermarkSettings.scale
| get set

The image or page scale in percents. Valid range: from 1 to 100. 100 means the image or page is displayed at its original size. The default value is.